Bug 25919 - Desks link is available in left side menu even if UseCirculationDesks is disabled
Summary: Desks link is available in left side menu even if UseCirculationDesks is disa...
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-02 21:28 UTC by Caroline Cyr La Rose
Modified: 2020-08-21 19:47 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03


Attachments
Bug 25919: Only show Desks in admin navigation when UseCirculationDesks is used (1.72 KB, patch)
2020-07-18 16:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25919: Only show Desks in admin navigation when UseCirculationDesks is used (1.79 KB, patch)
2020-07-27 14:53 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 25919: Only show Desks in admin navigation when UseCirculationDesks is used (1.84 KB, patch)
2020-08-07 00:53 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2020-07-02 21:28:06 UTC
I noticed the 'Desks' link in the administration menu on the left side is displayed even if the UseCirculationDesks syspref is turned off.

To reproduce:
1- Make sure UseCirculationDesks is set to 'Don't use'
2- Go in Administration > Libraries (or any other section of the admin module)
3- Notice the 'Desks' link in the left side menu
Comment 1 Caroline Cyr La Rose 2020-07-02 21:32:48 UTC
Actually, I just turned on the syspref and 'Desks' still does not appear on my main administration page... Maybe it's just my installation that's buggy.
Comment 2 Katrin Fischer 2020-07-18 16:34:53 UTC
Created attachment 107057 [details] [review]
Bug 25919: Only show Desks in admin navigation when UseCirculationDesks is used

We were missing a check for the UseCirculationDesks in the
template so the "Desks" link would only appear in the admin navigation
when the pref feature is activated.

To test:
- Turn off UseCirculationDesks
- Go to any administration page that shows the navigation on the left
- Verify Desks shows
- Apply patch
- Reload the admin page - Desks should be gone
- Turn on UseCirculationDesks
- Verify the Desks reappear
Comment 3 ByWater Sandboxes 2020-07-27 14:53:03 UTC
Created attachment 107433 [details] [review]
Bug 25919: Only show Desks in admin navigation when UseCirculationDesks is used

We were missing a check for the UseCirculationDesks in the
template so the "Desks" link would only appear in the admin navigation
when the pref feature is activated.

To test:
- Turn off UseCirculationDesks
- Go to any administration page that shows the navigation on the left
- Verify Desks shows
- Apply patch
- Reload the admin page - Desks should be gone
- Turn on UseCirculationDesks
- Verify the Desks reappear

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 4 Nick Clemens 2020-08-07 00:53:14 UTC
Created attachment 107937 [details] [review]
Bug 25919: Only show Desks in admin navigation when UseCirculationDesks is used

We were missing a check for the UseCirculationDesks in the
template so the "Desks" link would only appear in the admin navigation
when the pref feature is activated.

To test:
- Turn off UseCirculationDesks
- Go to any administration page that shows the navigation on the left
- Verify Desks shows
- Apply patch
- Reload the admin page - Desks should be gone
- Turn on UseCirculationDesks
- Verify the Desks reappear

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Nick Clemens 2020-08-07 00:53:58 UTC
Works as described.

One question: even after this I can access the page and define desks if the syspref is disabled - should we block this too?
Comment 6 Jonathan Druart 2020-08-07 14:56:07 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-08-14 22:29:32 UTC
backported to 20.05.x for 20.05.03
Comment 8 Aleisha Amohia 2020-08-16 23:18:16 UTC
UseCirculationDesks not in 19.11.x, not backported
Comment 9 Caroline Cyr La Rose 2020-08-21 19:47:23 UTC
For the sake of the release notes, I'm marking this as a bug rather than an enhancement, as it does not add/modify any functionality.

Feel free to change it back if you are opposed to it.